package com.yihu.quota.dao.jpa.olap;

import com.yihu.quota.model.olap.OlapDimensionMember;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

/**
 * Created by wxw on 2018/9/7.
 * @author wxw
 */
public interface OlapDimensionMemberDao extends PagingAndSortingRepository<OlapDimensionMember, Integer> {

    @Modifying
    @Query("delete from OlapDimensionMember where dimensionId = :dimensionId")
    void deleteByDimensionId(@Param("dimensionId") Integer dimensionId);
}
